@font-face {
  font-family: Jost;
  src: url("https://static.smartstock.africa/font/jost.ttf");
  font-display: swap;
}

@font-face {
  font-family: Figtree;
  src: url("https://static.smartstock.africa/font/figtree.ttf");
  font-display: swap;
}

:root {
  --body-color: #80adbf;
  --font-color: #285166;
  --Jost: "Jost", sans-serif;
  --Figtree: "Figtree", "sans-serif";
  --small-font: 14px;
  --medium-font: 16px;
  --large-font: 18px;
}

* {
  transition: all 0.3s ease-in-out;
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  min-height: 100dvh;
  background: hsl(0, 0%, 90%);
}

.flex {
  display: flex;
}

.flex-align-center {
  display: flex;
  align-items: center;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

#accountContainer,
#accountHolder {
  flex: 1;
}

.account {
  flex: 1;
  min-width: 30rem;
}

.accountHeader {
  padding: 4px;
  background: var(--body-color);
  justify-content: space-between;
  font-family: var(--Figtree);
  width: 100vw;
}

#headerImage {
  max-height: 30px;
}

#logo {
  border-radius: 50%;
  background: white;
}

#ctaButton {
  padding: 4px 8px;
  background: hsl(0 0% 100% / 40%);
  border-radius: 4px;
  font-weight: 500;
  font-size: var(--small-font);
  border: 1px solid hsl(0 0 0 / 30%);
  cursor: pointer;
}

#ac {
  margin: auto;
  width: 24rem;
  padding: 8px;
  box-shadow: 0px 3px 4px 0px hsl(0 0 0 /5%);
  border-radius: 12px;
}

.inputHolder {
  gap: 4px;
  padding: 8px;
  font-family: var(--Jost);
  font-size: var(--medium-font);
}

input {
  padding: 8px;
  margin: 0;
  border: 1px solid hsl(0 0 0 / 30%);
  outline: none;
  font-size: var(--medium-font);
  min-width: 300px;
  border-radius: 4px;
  font-family: var(--Jost);
  height: 2rem;
  color: hsl(0 0 0 / 80%);
}

.scInputOtp {
  min-width: unset;
  width: 4ch;
  text-align: center;
}

#otpGrid {
  display: flex;
  justify-content: space-between;
}

.acButton {
  margin: 8px;
}

#ACButton {
  padding: 4px;
  background: var(--body-color);
  border-radius: 4px;
  font-family: var(--Figtree);
  font-size: var(--large-font);
  font-weight: 700;
  text-align: center;
  cursor: pointer;
}

.acHeader {
  margin: 8px;
  font-family: var(--Figtree);
  font-weight: 800;
  font-size: 24px;
  letter-spacing: 0.05rem;
}

.acLegals {
  margin: 8px 16px;
  font-family: var(--Figtree);
  font-size: var(--small-font);
}

a {
  opacity: 0.8;
  color: black;
  font-weight: 600;
}

.acLinks {
  margin: 8px;
  font-family: var(--Figtree);
  font-size: var(--small-font);
  text-align: center;
  gap: 4px;
}

#loader {
  position: relative;
  z-index: 101;
  display: flex;
  background: linear-gradient(
    90deg,
    white 0%,
    rgba(128, 173, 191, 1) 20%,
    rgba(128, 173, 191, 1) 75%,
    white 100%
  );
  animation: streak 8.5s linear infinite;
}

#loaderIcon {
  height: 24px;
}

.acError {
  margin: 8px;
  font-family: var(--Jost);
  color: white;
  font-size: var(--small-font);
  font-weight: 500;
}

#errorIndicator {
  background: #d33c3c;
  padding: 4px;
  border-radius: 4px;
}

#passwordValidator,
#passwordMessage {
  background: #d33c3c;
  padding: 4px;
  border-radius: 4px;
  font-family: var(--Jost);
  color: white;
  font-size: var(--small-font);
  font-weight: 500;
  width: max-content;
}

#passwordMessage {
  margin: 8px;
}

.pwdInput {
  position: relative;
}

#helperContainer {
  margin: 8px;
  font-size: var(--small-font);
  font-family: var(--Figtree);
  display: flex;
  flex-direction: column;
}

.helper {
  opacity: 0.6;
}

#pwdTriggerShip {
  position: absolute;
  top: 0;
  right: 10px;
  height: 100%;
  aspect-ratio: 1/1;
}

.peek {
  display: none;
}

.check {
  text-decoration: line-through;
  opacity: 0.3;
}

@keyframes streak {
  0% {
    background-position: 0% 0%;
  }
  100% {
    background-position: 100rem 0%;
  }
}

@media (max-width: 460px) {
  #ac {
    margin: auto 0px;
    width: 80vw;
  }
  .account {
    min-width: unset;
    display: flex;
    justify-content: center;
  }
}
